summaryrefslogtreecommitdiffstats
path: root/package/netifd/files/lib
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2011-11-04 01:05:12 +0000
committerFelix Fietkau <nbd@openwrt.org>2011-11-04 01:05:12 +0000
commitdab5ebaa76d6432459ba6e26ab22600ed85dd3e4 (patch)
treee00a2fa277296d2299cfff100c251c0e52a7f62f /package/netifd/files/lib
parent18a4bbb98d339eb8aac1b1b0e5b6fa6d9339f9ad (diff)
downloadmaster-31e0f0ae-dab5ebaa76d6432459ba6e26ab22600ed85dd3e4.tar.gz
master-31e0f0ae-dab5ebaa76d6432459ba6e26ab22600ed85dd3e4.tar.bz2
master-31e0f0ae-dab5ebaa76d6432459ba6e26ab22600ed85dd3e4.zip
netifd: ensure that a bridge gets created before hostapd needs it, hostapd must not attempt to create the bridge by itself
SVN-Revision: 28745
Diffstat (limited to 'package/netifd/files/lib')
-rwxr-xr-xpackage/netifd/files/lib/network/config.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/package/netifd/files/lib/network/config.sh b/package/netifd/files/lib/network/config.sh
index 778c964e7b..4ce362eb19 100755
--- a/package/netifd/files/lib/network/config.sh
+++ b/package/netifd/files/lib/network/config.sh
@@ -40,6 +40,13 @@ scan_interfaces() {
config_foreach fixup_interface interface
}
+prepare_interface_bridge() {
+ local config="$1"
+
+ [ -n "$config" ] || return 0
+ ubus call network.interface."$config" prepare
+}
+
setup_interface() {
local iface="$1"
local config="$2"